Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 2032)
+++ plugins/maintenance/index.php	(revision 1760)
@@ -12,335 +12,187 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-// Set env
+$action = !empty($_REQUEST['action']) ? $_REQUEST['action'] : null;
+$start = !empty($_GET['start']) ? abs((integer) $_GET['start']) : 0;
 
-$core->blog->settings->addNamespace('maintenance');
-
-$maintenance = new dcMaintenance($core);
-$tasks = $maintenance->getTasks();
-
-$msg = '';
-$headers = '';
-$p_url = 'plugin.php?p=maintenance';
-$task = null;
-$expired = array();
-
-$code = empty($_POST['code']) ? null : (integer) $_POST['code'];
-$tab = empty($_REQUEST['tab']) ? '' : $_REQUEST['tab'];
-
-// Save settings
-
-if (!empty($_POST['settings'])) {
-
+if ($action == 'vacuum')
+{
+	try
+	{
+		$schema = dbSchema::init($core->con);
+		$db_tables = $schema->getTables();
+		
+		foreach ($db_tables as $t) {
+			if (strpos($t,$core->prefix) === 0) {
+				$core->con->vacuum($t);
+			}
+		}
+		http::redirect($p_url.'&vacuum=1');
+	}
+	catch (Exception $e)
+	{
+		$core->error->add($e->getMessage());
+	}
+}
+elseif ($action == 'commentscount')
+{
 	try {
-		$core->blog->settings->maintenance->put(
-			'plugin_message', 
-			!empty($_POST['settings_plugin_message']), 
-			'boolean', 
-			'Display alert message of late tasks on plugin page', 
-			true, 
-			true
-		);
-
-		foreach($tasks as $t) {
-			if (!empty($_POST['settings_recall_time']) && $_POST['settings_recall_time'] == 'seperate') {
-				$ts = empty($_POST['settings_ts_'.$t->id()]) ? 0 : $_POST['settings_ts_'.$t->id()];
-			}
-			else {
-				$ts = $_POST['settings_recall_time'];
-			}
-			$core->blog->settings->maintenance->put(
-				'ts_'.$t->id(), 
-				abs((integer) $ts), 
-				'integer', 
-				sprintf('Recall time for task %s', $t->id()), 
-				true, 
-				$t->blog()
-			);
-		}
-		
-		http::redirect($p_url.'&done=1&tab='.$tab);
+		$core->countAllComments();
+		http::redirect($p_url.'&commentscount=1');
+	} catch (Exception $e) {
+		$core->error->add($e->getMessage());
 	}
-	catch(Exception $e) {
+}
+elseif ($action == 'empty_cache')
+{
+	try {
+		$core->emptyTemplatesCache();
+		http::redirect($p_url.'&empty_cache=1');
+	} catch (Exception $e) {
+		$core->error->add($e->getMessage());
+	}
+}
+elseif ($action == 'log')
+{
+	try {
+		$core->log->delLogs(null,true);
+		http::redirect($p_url.'&delete_logs=1');
+	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
 	}
 }
 
-// Get task object
+?>
+<html>
+<head>
+  <title><?php echo __('Maintenance'); ?></title>
+</head>
 
-if (!empty($_REQUEST['task'])) {
-	$task = $maintenance->getTask($_REQUEST['task']);
-
-	if ($task === null) {
-		$core->error->add('Unknow task ID');
-	}
-
-	$task->code($code);
-}
-
-// Execute task
-
-if ($task && !empty($_POST['task']) && $task->id() == $_POST['task']) {
-	try {
-		$code = $task->execute();
-		if (false === $code) {
-			throw new Exception($task->error());
-		}
-		if (true === $code) {
-			$maintenance->setLog($task->id());
-			http::redirect($p_url.'&task='.$task->id().'&done=1&tab='.$tab);
-		}
-	}
-	catch (Exception $e) {
-		$core->error->add($e->getMessage());
-	}
-}
-
-// Combos
-
-$combo_ts = array(
-	__('Every week') 		=> 604800,
-	__('Every two weeks') 	=> 1209600,
-	__('Every month') 		=> 2592000,
-	__('Every two months') 	=> 5184000
-);
-
-$full_combo_ts = array_merge(array(
-	__('Use different periods for each task') => 'seperate'), 
-	$combo_ts
-);
-
-$task_combo_ts = array_merge(array(
-	__('Never') => 0), 
-	$combo_ts
-);
-
-// Display page
-
-echo '<html><head>
-<title>'.__('Maintenance').'</title>'.
-dcPage::jsPageTabs($tab).
-dcPage::jsLoad('index.php?pf=maintenance/js/settings.js');;
-
-if ($task && $task->ajax()) {
-	echo 
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA[\n".
-	dcPage::jsVar('dotclear.msg.wait', __('Please wait...')).
-	"//]]>\n".
-	'</script>'.
-	dcPage::jsLoad('index.php?pf=maintenance/js/dc.maintenance.js');
-}
-
-echo 
-$maintenance->getHeaders().'
-</head>
-<body>';
-
-// Check if there is somthing to display according to user permissions
-if (empty($tasks)) {
-	echo dcPage::breadcrumb(
-		array(
-			__('Plugins') => '',
-			'<a href="'.$p_url.'">'.__('Maintenance').'</a>' => '',
-			'<span class="page-title">'.html::escapeHTML($task->name()).'</span>' => ''
-		)
-	).
-	'<p class="warn">'.__('You have not sufficient permissions to view this page.').'</p>'.
-	'</body></html>';
-
-	return null;
-}
-
-// Success message
-
-if (!empty($_GET['done']) && $tab == 'settings') {
-	$msg = dcPage::success(__('Settings successfully updated'), true, true, false);
-}
-elseif (!empty($_GET['done']) && $task) {
-	$msg = dcPage::success($task->success(), true, true, false);
-}
-
-if ($task && ($res = $task->step()) !== null) {
-
-	// Page title
-
-	echo dcPage::breadcrumb(
-		array(
-			__('Plugins') => '',
-			'<a href="'.$p_url.'">'.__('Maintenance').'</a>' => '',
-			'<span class="page-title">'.html::escapeHTML($task->name()).'</span>' => ''
-		)
-	);
-
-	echo $msg;
-
-	// Intermediate task (task required several steps)
-
-	echo 
-	'<div class="step-box" id="'.$task->id().'">'.
-	'<h3>'.html::escapeHTML($task->name()).'</h3>'.
-	'<form action="'.$p_url.'" method="post">'.
-	'<p class="step-msg">'.
-		$res.
-	'</p>'.
-	'<p class="step-submit">'.
-		'<input type="submit" value="'.$task->task().'" /> '.
-		form::hidden(array('task'), $task->id()).
-		form::hidden(array('code'), (integer) $code).
-		$core->formNonce().
-	'</p>'.
-	'</form>'.
-	'<p class="step-back">'.
-		'<a class="back" href="'.$p_url.'&tab='.$task->tab().'">'.__('Back').'</a>'.
-	'</p>'.
-	'</div>';
-}
-else {
-
-	// Page title
-
+<body>
+<?php
 	echo dcPage::breadcrumb(
 		array(
 			__('Plugins') => '',
 			'<span class="page-title">'.__('Maintenance').'</span>' => ''
-		)
-	);
+		));
+?>
 
-	echo $msg;
-
-	// Simple task (with only a button to start it)
-
-	foreach($maintenance->getTabs() as $tab_id => $tab_name)
-	{
-		$res_group = '';
-		foreach($maintenance->getGroups() as $group_id => $group_name)
-		{
-			$res_task = '';
-			foreach($tasks as $t)
-			{
-				if ($t->group() != $group_id || $t->tab() != $tab_id) {
-					continue;
-				}
-
-				$res_task .=  
-				'<p>'.form::radio(array('task', $t->id()), $t->id()).' '.
-				'<label class="classic" for="'.$t->id().'">'.
-				html::escapeHTML($t->task()).'</label>';
-
-				// Expired task alert message
-				$ts = $t->expired();
-				if ($core->blog->settings->maintenance->plugin_message && $ts !== false) {
-					if ($ts === null) {
-						$res_task .= 
-						'<br /> <span class="warn">'.
-						__('This task has never been executed.').' '.
-						__('You should execute it now.').'</span>';
-					}
-					else {
-						$res_task .= 
-						'<br /> <span class="warn">'.sprintf(
-							__('Last execution of this task was on %s.'),
-							dt::str($core->blog->settings->system->date_format, $ts).' '.
-							dt::str($core->blog->settings->system->time_format, $ts)
-						).' '.
-						__('You should execute it now.').'</span>';
-					}
-				}
-
-				$res_task .= '</p>';
-			}
-
-			if (!empty($res_task)) {
-				$res_group .= 
-				'<div class="fieldset">'.
-				'<h4 id="'.$group_id.'">'.$group_name.'</h4>'.
-				$res_task.
-				'</div>';
-			}
-		}
-
-		if (!empty($res_group)) {
-			echo 
-			'<div id="'.$tab_id.'" class="multi-part" title="'.$tab_name.'">'.
-			'<h3>'.$tab_name.'</h3>'.
-			'<form action="'.$p_url.'" method="post">'.
-			$res_group.
-			'<p><input type="submit" value="'.__('Execute task').'" /> '.
-			form::hidden(array('tab'), $tab_id).
-			$core->formNonce().'</p>'.
-			'<p class="form-note info">'.__('This may take a very long time.').'</p>'.
-			'</form>'.
-			'</div>';
-		}
-	}
-
-	// Advanced tasks (that required a tab)
-
-	foreach($tasks as $t)
-	{
-		if ($t->group() !== null) {
-			continue;
-		}
-
-		echo 
-		'<div id="'.$t->id().'" class="multi-part" title="'.$t->name().'">'.
-		'<h3>'.$t->name().'</h3>'.
-		'<form action="'.$p_url.'" method="post">'.
-		$t->content().
-		'<p><input type="submit" value="'.__('Execute task').'" /> '.
-		form::hidden(array('task'), $t->id()).
-		form::hidden(array('tab'), $t->id()).
-		$core->formNonce().'</p>'.
-		'</form>'.
-		'</div>';
-	}
-
-	// Settings
-
-	echo 
-	'<div id="settings" class="multi-part" title="'.__('Settings').'">'.
-	'<h3>'.__('Settings').'</h3>'.
-	'<form action="'.$p_url.'" method="post">'.
-
-	'<h4 class="pretty-title">'.__('Activation').'</h4>'.
-	'<p><label for="settings_plugin_message" class="classic">'.
-	form::checkbox('settings_plugin_message', 1, $core->blog->settings->maintenance->plugin_message).
-	__('Display alert messages on late tasks').'</label></p>'.
-
-	'<p class="info">'.sprintf(
-		__('You can place list of late tasks on your %s.'),
-		'<a href="preferences.php#user-favorites">'.__('Dashboard').'</a>'
-	).'</p>'.
-
-	'<h4 class="pretty-title">'.__('Frequency').'</h4>'.
-
-	'<p><label for="settings_recall_time">'.__('Recall time for all tasks:').'</label>'.
-	form::combo('settings_recall_time', $full_combo_ts, 'seperate', 'recall-for-all').
-	'</p>'.
-
-	'<h5 class="vertical-separator">'.__('Recall time per task:').'</h5>';
-
-	foreach($tasks as $t)
-	{
-		echo
-		'<div class="two-boxes">'.
-
-		'<p><label for="settings_ts_'.$t->id().'">'.$t->task().'</label>'.
-		form::combo('settings_ts_'.$t->id(), $task_combo_ts, $t->ts(), 'recall-per-task').
-		'</p>'.
-
-		'</div>';
-	}
-
-	echo 
-	'<p><input type="submit" value="'.__('Save this settings').'" /> '.
-	form::hidden(array('tab'), 'settings').
-	form::hidden(array('settings'), 1).
-	$core->formNonce().'</p>'.
-	'</form>'.
-	'</div>';
+<?php
+if (!empty($_GET['vacuum'])) {
+	dcPage::success(__('Optimization successful.'));
+}
+if (!empty($_GET['commentscount'])) {
+	dcPage::success(__('Comments and trackback counted.'));
+}
+if (!empty($_GET['empty_cache'])) {
+	dcPage::success(__('Templates cache directory emptied.'));
+}
+if (!empty($_GET['delete_logs'])) {
+	dcPage::success(__('Logs deleted.'));
 }
 
+if ($action == 'index' && !empty($_GET['indexposts']))
+{
+	$limit = 1000;
+	echo '<p>'.sprintf(__('Indexing entry %d to %d.'),$start,$start+$limit).'</p>';
+	
+	$new_start = $core->indexAllPosts($start,$limit);
+	
+	if ($new_start)
+	{
+		$new_url = $p_url.'&action=index&indexposts=1&start='.$new_start;
+		echo
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA\n".
+		"window.location = '".$new_url."'\n".
+		"//]]>\n".
+		'</script>'.
+		'<noscript><p><a href="'.html::escapeURL($new_url).'">'.__('next').'</a></p></noscript>';
+	}
+	else
+	{
+		dcPage::message(__('Entries index done.'));
+		echo '<p><a class="back" href="'.$p_url.'">'.__('Back').'</a></p>';
+	}
+}
+elseif ($action == 'index' && !empty($_GET['indexcomments']))
+{
+	$limit = 1000;
+	echo '<p>'.sprintf(__('Indexing comment %d to %d.'),$start,$start+$limit).'</p>';
+	
+	$new_start = $core->indexAllComments($start,$limit);
+	
+	if ($new_start)
+	{
+		$new_url = $p_url.'&action=index&indexcomments=1&start='.$new_start;
+		echo
+		'<script type="text/javascript">'."\n".
+		"//<![CDATA\n".
+		"window.location = '".$new_url."'\n".
+		"//]]>\n".
+		'</script>'.
+		'<noscript><p><a href="'.html::escapeURL($new_url).'">'.__('next').'</a></p></noscript>';
+	}
+	else
+	{
+		dcPage::message(__('Comments index done.'));
+		echo '<p><a class="back" href="'.$p_url.'">'.__('Back').'</a></p>';
+	}
+}
+else
+{
+	echo
+	'<div class="two-boxes">'.
+	'<h3>'.__('Optimize database room').'</h3>'.
+	'<form action="plugin.php" method="post">'.
+	'<p><input type="submit" value="'.__('Vacuum tables').'" /> '.
+	$core->formNonce().
+	form::hidden(array('action'),'vacuum').
+	form::hidden(array('p'),'maintenance').'</p>'.
+	'</form></div>';
+	
+	echo
+	'<div class="two-boxes">'.
+	'<h3>'.__('Counters').'</h3>'.
+	'<form action="plugin.php" method="post">'.
+	'<p><input type="submit" value="'.__('Reset comments and ping counters').'" /> '.
+	$core->formNonce().
+	form::hidden(array('action'),'commentscount').
+	form::hidden(array('p'),'maintenance').'</p>'.
+	'</form></div>';
+	
+	echo
+	'<div class="two-boxes">'.
+	'<h3>'.__('Search engine index').'</h3>'.
+	'<form action="plugin.php" method="get">'.
+	'<p><input type="submit" name="indexposts" value="'.__('Index all posts').'" /> '.
+	'<input type="submit" name="indexcomments" value="'.__('Index all comments').'" /> '.
+	form::hidden(array('action'),'index').
+	form::hidden(array('p'),'maintenance').'</p>'.
+	'<p class="form-note info">'.__('This may take a very long time').'.</p>'.
+	'</form></div>';
+	
+	echo
+	'<div class="two-boxes">'.
+	'<h3>'.__('Vacuum logs').'</h3>'.
+	'<form action="plugin.php" method="post">'.
+	'<p><input type="submit" value="'.__('Delete all logs').'" /> '.
+	$core->formNonce().
+	form::hidden(array('action'),'log').
+	form::hidden(array('p'),'maintenance').'</p>'.
+	'</form></div>';
+	
+	echo
+	'<div class="two-boxes">'.
+	'<h3>'.__('Empty templates cache directory').'</h3>'.
+	'<form action="plugin.php" method="post">'.
+	'<p><input type="submit" value="'.__('Empty directory').'" /> '.
+	$core->formNonce().
+	form::hidden(array('action'),'empty_cache').
+	form::hidden(array('p'),'maintenance').'</p>'.
+	'</form></div>';
+}
 dcPage::helpBlock('maintenance');
+?>
 
-echo '</body></html>';
+</body>
+</html>
Index: plugins/pages/_install.php
===================================================================
--- plugins/pages/_install.php	(revision 1939)
+++ plugins/pages/_install.php	(revision 1802)
@@ -18,34 +18,33 @@
 }
 
+/* Create first page
+-------------------------------------------------------- */
 $core->blog->settings->addNamespace('pages');
 
-if ($core->getVersion('pages') == null) {
+$params = array(
+	'post_type' => 'page',
+	'no_content' => true
+);
+$counter = $core->blog->getPosts($params,true);
 
-	// Create a first pending page, only on a new installation of this plugin
-	$params = array(
-		'post_type' => 'page',
-		'no_content' => true
-	);
-	$counter = $core->blog->getPosts($params,true);
+If( $counter->f(0) == 0 && $core->blog->settings->pages->firstpage == null ) {
+	
+	$core->blog->settings->pages->put('firstpage',true, 'boolean');
 
-	If( $counter->f(0) == 0 && $core->blog->settings->pages->firstpage == null ) {
-
-		$core->blog->settings->pages->put('firstpage',true, 'boolean');
-
-		$cur = $core->con->openCursor($core->prefix.'post');
-		$cur->user_id = $core->auth->userID();
-		$cur->post_type = 'page';
-		$cur->post_format = 'xhtml';
-		$cur->post_lang = $core->blog->settings->system->lang;
-		$cur->post_title = __('My first page');
-		$cur->post_content = __('<p>'.__('This is your first page. When you\'re ready to blog, log in to edit or delete it.').'</p>');
-		$cur->post_content_xhtml = $cur->post_content;
-		$cur->post_excerpt = '';
-		$cur->post_excerpt_xhtml = $cur->post_excerpt;
-		$cur->post_status = -2;	// Pending status
-		$cur->post_open_comment = 0;
-		$cur->post_open_tb = 0;
-		$post_id = $core->blog->addPost($cur);
-	}
+	$cur = $core->con->openCursor($core->prefix.'post');
+	$cur->user_id = $core->auth->userID();
+	$cur->post_type = 'page';
+	$cur->post_format = 'xhtml';
+	$cur->post_lang = $core->blog->settings->system->lang;
+	$cur->post_title = __('My first page');
+	$cur->post_content = __('<p>'.__('This is your first page. When you\'re ready to blog, log in to edit or delete it.').'</p>');
+	$cur->post_content_xhtml = $cur->post_content;
+	$cur->post_excerpt = '';
+	$cur->post_excerpt_xhtml = $cur->post_excerpt;
+	$cur->post_status = 1;
+	$cur->post_open_comment = 0;
+	$cur->post_open_tb = 0;
+	$post_id = $core->blog->addPost($cur);
+	
 }
 
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 2036)
+++ plugins/pages/list.php	(revision 1903)
@@ -25,13 +25,10 @@
 		else
 		{
-			$pager = new dcPager($page,$this->rs_count,$nb_per_page,10);
-			$entries = array();
-			if (isset($_REQUEST['entries'])) {
-				foreach ($_REQUEST['entries'] as $v) {
-					$entries[(integer)$v]=true;
-				}
-			}			
+			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
+			$pager->html_prev = $this->html_prev;
+			$pager->html_next = $this->html_next;
+			$pager->var_page = 'page';
+			
 			$html_block =
-			'<div class="table-outer">'.
 			'<table class="maximal dragable"><thead><tr>'.
 			'<th colspan="3">'.__('Title').'</th>'.
@@ -41,5 +38,5 @@
 			'<th>'.__('Trackbacks').'</th>'.
 			'<th>'.__('Status').'</th>'.
-			'</tr></thead><tbody id="pageslist">%s</tbody></table></div>';
+			'</tr></thead><tbody id="pageslist">%s</tbody></table>';
 			
 			if ($enclose_block) {
@@ -47,5 +44,5 @@
 			}
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 			
 			$blocks = explode('%s',$html_block);
@@ -56,5 +53,5 @@
 			while ($this->rs->fetch())
 			{
-				echo $this->postLine($count,isset($entries[$this->rs->post_id]));
+				echo $this->postLine($count);
 				$count ++;
 			}
@@ -62,9 +59,9 @@
 			echo $blocks[1];
 			
-			echo $pager->getLinks();
-		}
-	}
-	
-	private function postLine($count,$checked)
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
+		}
+	}
+	
+	private function postLine($count)
 	{
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
@@ -107,5 +104,5 @@
 		'<td class="nowrap handle minimal">'.form::field(array('order['.$this->rs->post_id.']'),2,3,$count+1,'position','',false,'title="'.sprintf(__('position of %s'),html::escapeHTML($this->rs->post_title)).'"').'</td>'.
 		'<td class="nowrap">'.
-		form::checkbox(array('entries[]'),$this->rs->post_id,$checked,'','',!$this->rs->isEditable(),'title="'.__('Select this page').'"').'</td>'.
+		form::checkbox(array('entries[]'),$this->rs->post_id,'','','',!$this->rs->isEditable(),'title="'.__('Select this page').'"').'</td>'.
 		'<td class="maximal"><a href="'.$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'">'.
 		html::escapeHTML($this->rs->post_title).'</a></td>'.
@@ -128,5 +125,5 @@
 );
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
 $nb_per_page =  30;
 
@@ -273,9 +270,6 @@
 	'</div>'.
 	$core->formNonce().
-	'<p class="clear form-note hidden-if-js">'.
-	__('To rearrange pages order, change number at the begining of the line, then click on “Save pages order” button.').'</p>'.
-	'<p class="clear form-note hidden-if-no-js">'.
-	__('To rearrange pages order, move items by drag and drop, then click on “Save pages order” button.').'</p>'.
-	'<input type="submit" value="'.__('Save pages order').'" name="reorder" class="clear"/>'.
+	'<br class="clear"/>'.
+	'<input type="submit" value="'.__('Save categories order').'" name="reorder" class="clear"/>'.
 	'</form>');
 }
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 1981)
+++ plugins/pages/page.php	(revision 1833)
@@ -398,10 +398,10 @@
 					'</p>',
 				'post_lang' =>
-					'<p><label for="post_lang" class="ib">'.__('Page language').'</label>'.
+					'<p><label for="post_lang" class="ib">'.__('Page lang').'</label>'.
 					form::combo('post_lang',$lang_combo,$post_lang).
 					'</p>',
 				'post_format' =>
 					'<div>'.
-					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formatting').'</label></h5>'.
+					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formating').'</label></h5>'.
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
@@ -410,5 +410,5 @@
 					__('Convert to XHTML').'</a></p></div>')),
 		'metas-box' => array(
-			'title' => __('Filing'),
+			'title' => __('Ordering'),
 			'items' => array(
 				'post_position' => 
@@ -421,5 +421,5 @@
 				'post_open_comment_tb' =>
 					'<div>'.
-					'<h5 id="label_comment_tb">'.__('Comments and trackbacks list').'</h5>'.
+					'<h5 id="label_comment_tb">'.__('Commentaires et rétroliens').'</h5>'.
 					'<p><label for="post_open_comment" class="classic">'.
 					form::checkbox('post_open_comment',1,$post_open_comment).' '.
@@ -456,5 +456,5 @@
 					'</p>'.
 					'<p class="form-note warn">'.
-					__('Warning: If you set the URL manually, it may conflict with another page.').
+					__('Warning: If you set the URL manually, it may conflict with another entry.').
 					'</p></div>'
 	))));
@@ -468,5 +468,5 @@
 		"post_excerpt" =>
 			'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').' <span class="form-note">'.
-			__('Introduction to the page.').'</span></label> '.
+			__('Introduction to the post.').'</span></label> '.
 			form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt)).
 			'</p>',
@@ -489,5 +489,5 @@
 	$core->callBehavior('adminPageFormItems',$main_items,$sidebar_items, isset($post) ? $post : null);
 
-	echo '<div class="multi-part" title="'.($post_id ? __('Edit page') : __('New page')).'" id="edit-entry">';
+	echo '<div class="multi-part" title="'.__('Edit page').'" id="edit-entry">';
 	echo '<form action="'.html::escapeURL($redir_url).'" method="post" id="entry-form">';
 
Index: plugins/pings/_admin.php
===================================================================
--- plugins/pings/_admin.php	(revision 1970)
+++ plugins/pings/_admin.php	(revision 1398)
@@ -12,5 +12,5 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-$_menu['Blog']->addItem(__('Pings'),'plugin.php?p=pings','index.php?pf=pings/icon.png',
+$_menu['Plugins']->addItem(__('Pings'),'plugin.php?p=pings','index.php?pf=pings/icon.png',
 		preg_match('/plugin.php\?p=pings/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
Index: plugins/pings/index.php
===================================================================
--- plugins/pings/index.php	(revision 1930)
+++ plugins/pings/index.php	(revision 1553)
@@ -64,6 +64,6 @@
 echo
 '<form action="'.$p_url.'" method="post">'.
-'<p><label for="pings_active" class="classic">'.form::checkbox('pings_active',1,$core->blog->settings->pings->pings_active).
-__('Activate pings extension').'</label></p>';
+'<p><label for="pings_active" class="classic">'.form::checkbox('pings_active',1,$core->blog->settings->pings->pings_active).'</label> '.
+__('Activate pings extension').'</p>';
 
 $i = 0;
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 2002)
+++ plugins/simpleMenu/index.php	(revision 1777)
@@ -217,5 +217,5 @@
 				
 					// All done successfully, return to menu items list
-					http::redirect($p_url.'&added=1');
+					http::redirect($p_url.'&amp;added=1');
 				} else {
 					throw new Exception(__('Label and URL of menu item are mandatory.'));
@@ -252,5 +252,5 @@
 				
 				// All done successfully, return to menu items list
-				http::redirect($p_url.'&removed=1');
+				http::redirect($p_url.'&amp;removed=1');
 			} else {
 				throw new Exception(__('No menu items selected.'));
@@ -286,5 +286,5 @@
 
 			// All done successfully, return to menu items list
-			http::redirect($p_url.'&updated=1');
+			http::redirect($p_url.'&amp;updated=1');
 		}
 		catch (Exception $e) {
@@ -323,5 +323,5 @@
 
 			// All done successfully, return to menu items list
-			http::redirect($p_url.'&neworder=1');
+			http::redirect($p_url.'&amp;neworder=1');
 		} 
 		catch (Exception $e) {
@@ -461,6 +461,5 @@
 	// Entête table
 	echo 
-		'<div class="table-outer">'.
-		'<table class="dragable">'.
+		'<table class="maximal dragable">'.
 		'<caption>'.__('Menu items list').'</caption>'.
 		'<thead>'.
@@ -496,5 +495,5 @@
 	}
 	echo '</tbody>'.
-		'</table></div>';
+		'</table>';
 	if (!$step) {
 		echo '<div class="two-cols">';
Index: plugins/tags/js/post.js
===================================================================
--- plugins/tags/js/post.js	(revision 1871)
+++ plugins/tags/js/post.js	(revision 1753)
@@ -61,5 +61,5 @@
 	$('h5 .s-tags').toggleWithLegend($('.s-tags').not('label'),{
 		user_pref: 'post_tags',
-		legend_click: true
+		legend_clik: true
 	});
 
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 1912)
+++ plugins/tags/tag_posts.php	(revision 1572)
@@ -17,5 +17,5 @@
 
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
 $nb_per_page =  30;
 
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 2003)
+++ plugins/userPref/index.php	(revision 1553)
@@ -128,8 +128,7 @@
 
 <div id="local" class="multi-part" title="<?php echo __('User preferences'); ?>">
-<h3 class="out-of-screen-if-js"><?php echo __('User preferences'); ?></h3>
 
 <?php 
-$table_header = '<div class="table-outer"><table class="prefs" id="%s"><caption class="as_h3">%s</caption>'.
+$table_header = '<table class="prefs" id="%s"><caption class="as_h3">%s</caption>'.
 '<thead>'.
 '<tr>'."\n".
@@ -141,5 +140,5 @@
 '</thead>'."\n".
 '<tbody>';
-$table_footer = '</tbody></table></div>';
+$table_footer = '</tbody></table>';
 
 $prefs = array();
@@ -187,5 +186,4 @@
 
 <div id="global" class="multi-part" title="<?php echo __('Global preferences'); ?>">
-<h3 class="out-of-screen-if-js"><?php echo __('Global preferences'); ?></h3>
 
 <?php
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 1993)
+++ plugins/widgets/index.php	(revision 1669)
@@ -247,5 +247,5 @@
 $widget_elements = new stdClass;
 $widget_elements->content =
-'<h4>'.__('Use of widgets').'</h4>'.
+'<h3 class="clear">'.__('Use of widgets').'</h3>'.
 '<p>'.__('Widgets may be used to add various blocks of content to be displayed on your public pages. To add a widget, '.
 'drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order '.
@@ -254,5 +254,5 @@
 'to their name.').'</p>'.
 '<p>'.__('Reset sidebars to get back to default widgets installation.').'</p>'.
-'<h4>'.__('Widget templates tags').'</h4>'.
+'<h3 class="clear">'.__('Widget templates tags').'</h3>'.
 '<div id="widgets-tpl">'.
 '<p>'.__('If you are allowed to edit your theme templates, you can directly add widgets as '.
Index: tests/functional/spec/media_manager.js
===================================================================
--- tests/functional/spec/media_manager.js	(revision 2010)
+++ tests/functional/spec/media_manager.js	(revision 1724)
@@ -3,5 +3,5 @@
 		it("Enhanced uploader can be temporarily enabled", function() {
 			loadFixtures('form_media_disabled.html');
-			loadStyleFixtures('default.css');
+			loadStyleFixtures('jsUpload/style.css');
 			
 			$('#fileupload').enhancedUploader();
@@ -18,5 +18,5 @@
 		it("Enhanced uploader can be temporarily disabled", function() {
 			loadFixtures('form_media_enabled.html');
-			loadStyleFixtures('default.css');
+			loadStyleFixtures('jsUpload/style.css');
 
 			$('#fileupload').enhancedUploader();
